Debian Bug report logs - #293346
ITP: libecw -- Library for Enhanced Compressed Wavelet(ECW) and JPEG 2000 image I/O

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: pkg-grass-devel@lists.alioth.debian.org

Date: Wed, 2 Feb 2005 17:03:12 UTC

Owned by: Steve Halasz <debian@adkgis.org>

Severity: wishlist

Done: David Moreno Garza <damog@merkel.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#293346; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to pkg-grass-devel@lists.alioth.debian.org:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Halasz <stevehalasz@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libecw -- Library for Enhanced Compressed Wavelet(ECW) and JPEG 2000 image I/O
Date: Wed, 02 Feb 2005 11:56:54 -0500
Package: wnpp
Severity: wishlist


* Package name    : libecw
  Version         : 3.1
  Upstream Author : Earth Resource Mapping
* URL             : http://www.ermapper.com/
* License         : GPLish - dfsg free? [1]
  Description     : Library for Enhanced Compressed Wavelet(ECW) and JPEG 2000 image I/O

Provides read/decompression and write/compression for the ECW and JPEG 2000 wavelet based 
image formats, works at high-speed with a very low memory footprint, and handles input 
and output of geographical metadata in three formats: embedded GML, embedded GeoTIFF UUID 
box, and six-value world file.

[1]
EARTH RESOURCE MAPPING
ECW SDK LICENSE AGREEMENTS

There are three styles of ECW SDK license agreement.
Use of the ECW SDK with Unlimited Decompressing and Limited Compressor (Less than 500MB) for use in any commercial or free application is 
governed by the "ECW SDK FREE USE LICENSE AGREEMENT." 
Use of the ECW SDK with Unlimited Decompressing and Unlimited Compression for applications licensed under a GNU General Public style 
license ("GPL") is governed by the "ECW SDK PUBLIC USE LICENSE AGREEMENT".
Use of the ECW SDK with Unlimited Decompressing and Unlimited Compressing for commercial applications is governed by the "ECW SDK 
COMMERCIAL USE LICENSE AGREEMENT". 
For use of the ECW SDK in applications that are outside of the terms of these agreements, including server-side applications, please 
contact Earth Resource Mapping Limited, 87 Colin Street, West Perth, Western Australia 6005.  Tel +61 8 9388 2900; Fax +61 8 9388 2901; 
email:  tony.clark@ermapper.com.au

ECW SDK FREE USE LICENSE AGREEMENT
IMPORTANT-READ CAREFULLY: This Earth Resource Mapping Limited ("ERM") End-User License Agreement ("EULA") is a legal agreement between you 
(either an individual or a single entity) and ERM for the ECW SDK software product under this Free Use License Agreement , which includes 
computer software and may include associated media,  printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). The 
SOFTWARE PRODUCT also includes any updates and supplements to the original SOFTWARE PRODUCT provided to you by ERM.  Any software provided 
along with the SOFTWARE PRODUCT that is associated with a separate end-user license agreement is licensed to you under the terms of that 
license agreement. By installing, copying, downloading, accessing or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the 
terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.
The intent of this license is to allow unlimited decompression and limited compression (500MB per image) of ECW images within free or 
commercial applications.
The Software Product is protected by patents, copyright laws and international copyright treaties, as well as other intellectual property 
laws and treaties. The Software Product is licensed, not sold. Rights to use patents, including ERM's large DWT and streaming imagery 
patents, are given only for use with the ECW SDK and not for other uses.

Granted Rights
1)	GRANT OF LICENSE. This EULA grants you the following limited, non-exclusive rights:
a)	Software Product. You may install and use the enclosed ECW SDK with Unlimited Decompression and Limited Compression (Less than 
500MB) SOFTWARE PRODUCT  to design, develop, and test software application products for use with the Enhanced Compression Wavelet image 
technology.  Software application products that can be build using this Software Product come under one or more of the following three (3) 
types: (1) "Server Software" that provides services or functionality on a computer acting as a server (and, the computer running the Server 
Software shall be referred to as the "Server"); (2) "Client Software" that allows a computer, workstation, terminal, handheld PC, pager, 
telephone, "smart phone," or other electronic device (each of the foregoing a "Device") to access or utilize the services or functionality 
provided by Server Software or provide other functionality and; (3) "Software Development Kits" (SDK's) which are software products similar 
in intent to this software product. 
b)	You may install and use an unlimited number of copies of the ECW Runtime, which consists of files contained in the "runtime" 
directory for use in "Client Software". You may reproduce and distribute an unlimited number of copies of the ECW Runtime for use in 
"Client Software"; provided that each copy shall be a true and complete copy, including all copyright and trademark notices, and that you 
comply with the Distribution Requirements described below.  You may not use Software Product for development or distribution of "Server 
Software".
c)	Sample Code. You may modify the sample source code located in the  SOFTWARE PRODUCT's "examples" directory ("Sample Code") to 
design, develop, and test your Application. You may also reproduce and distribute the Sample Code in object code form along with any 
modifications you make to the Sample Code, provided that you comply with the Distribution Requirements described below 
For purposes of this section, "modifications" shall mean enhancements to the functionality of the Sample Code. You are not permitted to 
change the ECW file format.
2)	Distribution Requirements. You may copy and redistribute an unlimited  number of copies of the ECW Runtime, and/or Sample Code in 
object code form (collectively "REDISTRIBUTABLE COMPONENTS") as described above,  provided that (i) you distribute the REDISTRIBUTABLE 
COMPONENTS only in conjunction with, and as a part of, your Application; (ii) your  Application adds significant and primary functionality 
to the REDISTRIBUTABLE COMPONENTS; (iii) any distribution of the ECW Runtime includes each and every runtime file distributed as a single 
set; (iv) you do not permit further redistribution of the REDISTRIBUTABLE COMPONENTS by your end-user customers (v) you do not use ERM's 
name, logo, or trademarks to market your Application without prior approval by ERM in writing; (vi) you include a valid copyright notice on 
your Application; and (vii) you indemnify, hold harmless, and defend ERM from and against any claims or lawsuits, including attorneys' 
fees, that arise or result from the use or distribution of your Application.
3)	COPYRIGHT. All title and intellectual property rights in and to the SOFTWARE PRODUCT (including but not limited to any images, 
photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed 
materials, and any copies of the SOFTWARE PRODUCT are owned by ERM or its suppliers. All title and intellectual property rights in and to 
the content which may be accessed through use of the SOFTWARE PRODUCT is the property of the respective content owner and may be protected 
by applicable copyright or other intellectual property laws and treaties.  This EULA grants you no rights to use such content. All rights 
not expressly granted are reserved by ERM.

4)	PRERELEASE CODE. The SOFTWARE PRODUCT may contain PRERELEASE CODE that is not at the level of performance and compatibility of the 
final, generally available, product offering. These portions of the SOFTWARE PRODUCT may not operate correctly and may be substantially 
modified prior to first commercial shipment. ERM is not obligated to make this or any later version of the SOFTWARE PRODUCT commercially 
available.
5)	SUPPORT SERVICES	Support Services as described here are optional.    Licensee may join the ERM Developer Network for a fee.  
Other than this service, ERM provides no technical support as part of this license.

6)	U.S. GOVERNMENT RESTRICTED RIGHTS. The SOFTWARE PRODUCT and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or 
disclosure by the US Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of The Rights in Technical Data and 
Computer Software clause at DFARS 252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer Software - Restricted Rights at 
48 CFR 52.227-19, as applicable. Manufacturer is Earth Resource Mapping Limited.

7)	DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS. 
a)	Rental. You may not rent, lease or lend the SOFTWARE PRODUCT. 
b)	Software Transfer. You may permanently transfer all of your rights under this EULA, provided you retain no copies, you transfer all 
of the SOFTWARE PRODUCT (including all component parts, the media and printed materials, any upgrades, this EULA, and, if applicable, the 
Certificate of Authenticity), and the recipient agrees to the terms of this EULA. If the SOFTWARE PRODUCT is an upgrade, any transfer must 
include all prior versions of the SOFTWARE PRODUCT.
c)	Termination. Without prejudice to any other rights, ERM may terminate this EULA if you fail to comply with the terms and conditions 
of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts. 
d)	No Warranties. ERM EXPRESSLY DISCLAIMS ANY WARRANTY FOR THE SOFTWARE  PRODUCT. THE SOFTWARE PRODUCT AND ANY RELATED DOCUMENTATION 
IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK  ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE 
PRODUCT REMAINS WITH YOU. 
e)	Limitation of Liability. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE  LAW, IN NO EVENT SHALL ERM OR ITS SUPPLIERS BE LIABLE FOR 
ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS 
PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE 
THE SOFTWARE PRODUCT OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF ERM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
DAMAGES. IN ANY CASE, ERM'S ENTIRE LIABILITY UNDER ANY PROVISION OF THIS EULA SHALL BE LIMITED TO THE GREATER OF THE AMOUNT ACTUALLY PAID 
BY YOU FOR THE SOFTWARE PRODUCT OR US$5.00; PROVIDED HOWEVER, IF YOU HAVE ENTERED INTO A ERM SUPPORT SERVICES AGREEMENT, ERM'S ENTIRE 
LIABILITY REGARDING SUPPORT SERVICES SHALL BE GOVERNED BY THE TERMS OF THAT AGREEMENT. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW 
THE EXCLUSION OR LIMITATION OF LIABILITY, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.
f)	This Agreement may only be modified in writing signed by authorized representatives of  ERM. All terms of any purchase order or 
other ordering document shall be superseded by this Agreement. If any provision of the Agreement is found void or unenforceable, the 
remainder will remain valid and enforceable according to its terms. If any remedy provided is determined to have failed for its essential 
purpose, all limitations of liability and exclusions of damages set forth in this Agreement shall remain in effect.
g)	This Agreement shall be construed, interpreted and governed by the laws of Western Australia. 
h)	ERM reserves all rights not specifically granted in this Agreement.

ECW SDK PUBLIC USE LICENSE AGREEMENT
IMPORTANT-READ CAREFULLY: This Earth Resource Mapping Limited ("ERM") End-User License Agreement ("EULA") is a legal agreement between you 
(either an individual or a single entity) and ERM for the ERM ECW SDK software product under this Public Use License Agreement, which 
includes computer software and may include associated media,  printed materials, and "online" or electronic documentation ("SOFTWARE 
PRODUCT"). The SOFTWARE PRODUCT also includes any updates and supplements to the original SOFTWARE PRODUCT provided to you by ERM.  Any 
software provided along with the SOFTWARE PRODUCT that is associated with a separate end-user license agreement is licensed to you under 
the terms of that license agreement. By installing, copying, downloading, accessing or otherwise using the SOFTWARE PRODUCT, you agree to 
be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.
The intent of this license is to establish freedom to share and change the software regulated by this license under the open source model 
and is applicable to the use of the ECW SDK with Unlimited Decompressing and Unlimited Compression for applications licensed under a GNU 
General Public style license ("GPL") as set out below. 
This license applies to any use of the Software Product solely intended to develop or be distributed with products that are licensed under 
a license similar to a General Public License ("GPL") and at no charge to the public.  This license covers modification and distribution of 
the Software, use of third-party application programs based on the Software, and development of free software that uses the Software. 
The Software Product is protected by patents, copyright laws and international copyright treaties, as well as other intellectual property 
laws and treaties. The Software Product is licensed, not sold. Rights to use patents, including ERM's large DWT and streaming imagery 
patents, are given only for use with the ECW SDK and not for other uses.
Granted Rights
1)	GRANT OF LICENSE. This EULA grants you the following limited, non-exclusive rights, provided you agree to and comply with any and 
all conditions in this license. Whole or partial distribution of the Software, or software items that link with the Software, in any form 
signifies acceptance of this license. 
a)	You may copy and distribute the Software in unmodified form provided that the entire package, including - but not restricted to - 
copyright, trademark notices and disclaimers, as released by the initial developer of the Software, is distributed. 
b)	You may make modifications to the Software and distribute your modifications, in a form that is separate from the Software, such as 
patches. The following restrictions apply to modifications: 
i)	Modifications must not alter or remove any copyright notices in the Software. 
ii)	When modifications to the Software are released under this license, a non-exclusive royalty-free right is granted to the initial 
developer of the Software to distribute your modification in future versions of the Software provided such versions remain available under 
these terms in addition to any other license(s) of the initial developer. 
iii)	You are not permitted to change the ECW file format.
iv)	You are not permitted to use Software Product for development or distribution of "Server Software" that provides services or 
functionality on a computer acting as a server.
c)	You may distribute machine-executable forms of the Software or machine-executable forms of modified versions of the Software, 
provided that you meet these restrictions: 
i)	You must include this license document in the distribution. 
ii)	You must ensure that all recipients of the machine-executable forms are also able to receive the complete machine-readable source 
code to the distributed Software, including all modifications, without any charge beyond the costs of data transfer, and place prominent 
notices in the distribution explaining this. 
iii)	You must ensure that all modifications included in the machine-executable forms are available under the terms of this license. 
d)	You may use the original or modified versions of the Software to compile, link and run application programs legally developed by 
you or by others. 
e)	You may develop application programs, reusable components and other software items that link with the original or modified versions 
of the Software. These items, when distributed, are subject to the following requirements: 
i)	You must ensure that all recipients of machine-executable forms of these items are also able to receive and use the complete 
machine-readable source code to the items without any charge beyond the costs of data transfer. 
ii)	You must explicitly license all recipients of your items to use and re-distribute original and modified versions of the items in 
both machine-executable and source code forms. The recipients must be able to do so without any charges whatsoever, and they must be able 
to re-distribute to anyone they choose. 
iii)	If the items are not available to the general public, and the initial developer of the Software requests a copy of the items, then 
you must supply one. 

2)	SUPPORT AND UPDATES.
Licensee is optionally entitled to join the ERM Developer Network for a fee.  Other than this service, ERM provides no technical support as 
part of this license.

3)	U.S. GOVERNMENT RESTRICTED RIGHTS. 
The SOFTWARE PRODUCT and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the US Government is subject 
to restrictions as set forth in subparagraph (c)(1)(ii) of The Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 
or subparagraphs (c)(1) and (2) of the Commercial Computer Software - Restricted Rights at 48 CFR 52.227-19, as applicable. Manufacturer is 
Earth Resource Mapping Limited.

4)	DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS. 
a)	Rental. You may not rent, lease or lend the SOFTWARE PRODUCT. 
b)	Software Transfer. You may permanently transfer all of your rights under this EULA, provided you retain no copies, you transfer all 
of the SOFTWARE PRODUCT (including all component parts, the media and printed materials, any upgrades, this EULA, and, if applicable, the 
Certificate of Authenticity), and the recipient agrees to the terms of this EULA. If the SOFTWARE PRODUCT is an upgrade, any transfer must 
include all prior versions of the SOFTWARE PRODUCT.
c)	Termination. Without prejudice to any other rights, ERM may terminate this EULA if you fail to comply with the terms and conditions 
of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts. 
d)	No Warranties. ERM EXPRESSLY DISCLAIMS ANY WARRANTY FOR THE SOFTWARE  PRODUCT. THE SOFTWARE PRODUCT AND ANY RELATED DOCUMENTATION 
IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK  ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE 
PRODUCT REMAINS WITH YOU. 
e)	Limitation of Liability. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE  LAW, IN NO EVENT SHALL ERM OR ITS SUPPLIERS BE LIABLE FOR 
ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS 
PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE 
THE SOFTWARE PRODUCT OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF ERM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
DAMAGES. IN ANY CASE, ERM'S ENTIRE LIABILITY UNDER ANY PROVISION OF THIS EULA SHALL BE LIMITED TO THE GREATER OF THE AMOUNT ACTUALLY PAID 
BY YOU FOR THE SOFTWARE PRODUCT OR US$5.00; PROVIDED HOWEVER, IF YOU HAVE ENTERED INTO A ERM SUPPORT SERVICES AGREEMENT, ERM'S ENTIRE 
LIABILITY REGARDING SUPPORT SERVICES SHALL BE GOVERNED BY THE TERMS OF THAT AGREEMENT. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW 
THE EXCLUSION OR LIMITATION OF LIABILITY, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.
f)	This Agreement may only be modified in writing signed by authorized representatives of ERM. All terms of any purchase order or 
other ordering document shall be superseded by this Agreement. If any provision of the Agreement is found void or unenforceable, the 
remainder will remain valid and enforceable according to its terms. If any remedy provided is determined to have failed for its essential 
purpose, all limitations of liability and exclusions of damages set forth in this Agreement shall remain in effect.
g)	This Agreement shall be construed, interpreted and governed by the laws of Western Australia. 
h)	ERM reserves all rights not specifically granted in this Agreement.

 


ECW SDK COMMERCIAL USE LICENSE AGREEMENT
IMPORTANT-READ CAREFULLY: This ERM End-User License Agreement ("Agreement") is a legal agreement between you (either an individual or a 
legal entity) ("Licensee") and Earth Resource Mapping Limited ("ERM") for the ERM ECW SDK software product under this Commercial Use 
License Agreement, which includes computer software and may include "online" or electronic documentation, associated media, and printed 
materials, including the source code, example programs and the documentation ("Software Product").

By installing, copying, or otherwise using the Software Product, Licensee agrees to be bound by the terms of this Agreement. If Licensee 
does not agree to the terms of this Agreement, Licensee may not install, copy, or otherwise use the Software Product; Licensee may, 
however, return it to Licensee's place of purchase for a full refund. In addition, by installing, copying, or otherwise using any updates 
or other components of the Software Product that Licensee receives separately as part of the Software Product ("Updates"),
The intent of this license is to establish commercial rights to the use of the ECW SDK with Unlimited Decompressing and Unlimited 
Compressing.
Licensee agrees to be bound by any additional license terms that accompany such Updates. If Licensee does not agree to the additional 
license terms that accompany such Updates, Licensee may not install, copy, or otherwise use such Updates.
Upon Licensee's acceptance of the terms and conditions of this Agreement, ERM grants Licensee the right to use the Software Product in the 
manner provided below.
The Software Product is protected by patents, copyright laws and international copyright treaties, as well as other intellectual property 
laws and treaties. The Software Product is licensed, not sold. Rights to use patents, including ERM's large DWT and streaming imagery 
patents, are given only for use with the ECW SDK and not for other uses.

Granted Rights
1)	GRANT OF LICENSE. This EULA grants you the following limited, non-exclusive rights, provided you agree to and comply with any and 
all conditions in this license. Installation of the Software, whole or partial distribution of the Software, or software items that link 
with the Software, in any form signifies acceptance of this license.
a)	In return for a one-off License fee (see ERM’s current price list), ERM grants to Licensee as an individual a personal, 
nonexclusive, non-transferable license to make and use copies of the Software Product for the sole purposes of designing, developing, and 
testing Licensee's software product(s) ("Applications").  Applications are defined as one or more of the following three (3) types: (1) 
"Server Software" that provides services or functionality on a computer acting as a server (and the computer running the Server Software 
shall be referred to as the "Server"); (2) "Client Software" that allows a computer, workstation, terminal, handheld PC, pager, telephone, 
"smart phone," or other electronic device (each of the foregoing a "Device") to access or utilize the services or functionality provided by 
Server Software or provide other functionality and; (3) "Software Development Kits" (SDK's) which are software product similar in intent to 
this software product. 
b)	Licensee may install copies of the Software Product on an unlimited number of computers provided that Licensee is the only 
individual using the Software Product. If Licensee is an entity, ERM grants Licensee the right to designate one, and only one, individual 
within Licensee's organization who shall have the sole right to use the Software Product in the manner provided above. Licensee may at any 
time, but not more frequently that once every six (6) months, designate another individual to replace the current designated user by 
notifying ERM, so long as there is no more than one designated user at any given time.
c)	The Software Product may provide links to third party libraries or code (collectively "Third Party Libraries") to implement various 
functions.  Third Party Libraries are not prepared by or owned by ERM, and do not comprise part of the Software Product. In some cases, 
access to Third Party Libraries may be included along with the Software Product delivery as a convenience for development and testing only.  
Licensee acknowledges (1) that some Third Party Libraries may require additional licensing of copyright and patents from the owners of 
such, and (2) that distribution of any of the Software Product referencing any portion of a Third Party Library may require appropriate 
licensing from such third parties and, in the event that such licensing is not granted, may result in the removal of such Third Party 
Library from the Software Product. 

2)	GENERAL TERMS THAT APPLY TO APPLICATIONS AND REDISTRIBUTABLES
ERM grants Licensee a nonexclusive right to reproduce and distribute the ECW Runtime  and Sample Code as contained in the "examples" 
directory ("Redistributables") for execution on any operating System. Copies of Redistributables may only be distributed with and for the 
sole purpose of executing Applications permitted under this Agreement that Licensee has created using the Software Product.
Under no circumstances may any copies of Redistributables be distributed separately.
The license granted in this Agreement for Licensee to create Applications and distribute them and the Redistributables (if any) to 
Licensee's customers is subject to all of the following conditions:
a)	all copies of the Applications Licensee creates must bear a valid copyright notice, either Licensee's own or the copyright notice 
that appears on the Software Product; 
b)	Licensee may not remove or alter any copyright, trademark or other proprietary rights notice contained in any portion of the 
Software Product; 
c)	Redistributables, if any, shall be licensed to Licensee's customer "as is"; 
d)	Licensee will indemnify and hold ERM, its related companies and its suppliers, harmless from and against any claims or liabilities 
arising out of the use, reproduction or distribution of Applications; 
e)	The parts of the Applications that are developed using the Software Product must be developed using a licensed, registered copy of 
the Software Product; 
f)	If Applications support ECW Viewing/Decompression they must fully support the ECWP protocol; 
g)	Licensee is not permitted to change the ECW file format; 
h)	Applications must add primary and substantial functionality to the Software Product; 
i)	Applications may not pass on functionality which in any way makes it possible for others to create software with the Software 
Product; 
i)	Applications other than Client Software may not be distributed without the prior agreement of ERM and will be the subject of a 
separate licensing agreement.  Licensee may not use Software Product for development or distribution of "Server Software".
j)	Licensee may not use ERM's or any of its suppliers' names, logos, or trademarks to market Application, except to state that 
Application was developed using the Software Product; 
k)	Where Redistributables are supplied to a third party as part of client software they must be statically linked to the NCSECWCU.LIB 
static link library in the "lib" Directory.

3)	SUPPORT AND UPDATES
Licensee is required to join the ERM Developer Network at an initial cost of US$7,400.  Subsequent annual renewal of membership of the ERM 
Developer Network is optional, at an annual renewal fee of US$7,400.  Other than this service, ERM provides no technical support as part of 
this license.

4)	U.S. GOVERNMENT RESTRICTED RIGHTS.    
The SOFTWARE PRODUCT and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the US Government is subject 
to restrictions as set forth in subparagraph (c)(1)(ii) of The Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 
or subparagraphs (c)(1) and (2) of the Commercial Computer Software - Restricted Rights at 48 CFR 52.227-19, as applicable. Manufacturer is 
Earth Resource Mapping Limited.

5)	DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS. 
a)	Rental. You may not rent, lease or lend the SOFTWARE PRODUCT. 
b)	Software Transfer. You may permanently transfer all of your rights under this EULA, provided you retain no copies, you transfer all 
of the SOFTWARE PRODUCT (including all component parts, the media and printed materials, any upgrades, this EULA, and, if applicable, the 
Certificate of Authenticity), and the recipient agrees to the terms of this EULA. If the SOFTWARE PRODUCT is an upgrade, any transfer must 
include all prior versions of the SOFTWARE PRODUCT.
c)	Termination. Without prejudice to any other rights, ERM may terminate this EULA if you fail to comply with the terms and conditions 
of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts. 
d)	No Warranties. ERM EXPRESSLY DISCLAIMS ANY WARRANTY FOR THE SOFTWARE  PRODUCT. THE SOFTWARE PRODUCT AND ANY RELATED DOCUMENTATION 
IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK  ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE 
PRODUCT REMAINS WITH YOU. 
e)	Limitation of Liability. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE  LAW, IN NO EVENT SHALL ERM OR ITS SUPPLIERS BE LIABLE FOR 
ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS 
PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE 
THE SOFTWARE PRODUCT OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF ERM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
DAMAGES. IN ANY CASE, ERM'S ENTIRE LIABILITY UNDER ANY PROVISION OF THIS EULA SHALL BE LIMITED TO THE GREATER OF THE AMOUNT ACTUALLY PAID 
BY YOU FOR THE SOFTWARE PRODUCT OR US$5.00; PROVIDED HOWEVER, IF YOU HAVE ENTERED INTO A ERM SUPPORT SERVICES AGREEMENT, ERM'S ENTIRE 
LIABILITY REGARDING SUPPORT SERVICES SHALL BE GOVERNED BY THE TERMS OF THAT AGREEMENT. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW 
THE EXCLUSION OR LIMITATION OF LIABILITY, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.
f)	This Agreement may only be modified in writing signed by authorized representatives of ERM. All terms of any purchase order or 
other ordering document shall be superseded by this Agreement. If any provision of the Agreement is found void or unenforceable, the 
remainder will remain valid and enforceable according to its terms. If any remedy provided is determined to have failed for its essential 
purpose, all limitations of liability and exclusions of damages set forth in this Agreement shall remain in effect.
g)	This Agreement shall be construed, interpreted and governed by the laws of Western Australia. 
h)	ERM reserves all rights not specifically granted in this Agreement.



-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to pkg-grass-devel@lists.alioth.debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 293346-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 293346-done@bugs.debian.org
Subject: WNPP bug closing
Date: Wed, 08 Feb 2006 11:59:33 -0700
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 293346
thanks bts

Further comments on the work done in the bug sent to
293346@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#293346; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Halasz <debian@adkgis.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 293346@bugs.debian.org (full text, mbox):

From: Steve Halasz <debian@adkgis.org>
To: control@bugs.debian.org
Cc: 293346@bugs.debian.org
Subject: ITP: libecw -- Library for Enhanced Compressed Wavelet(ECW) and JPEG 2000 image I/O
Date: Wed, 08 Feb 2006 16:04:22 -0500
reopen 293346
thanks

Although it would have to go in non-free, there has been discussion
about packaging this anyway:

http://lists.alioth.debian.org/pipermail/pkg-grass-general/2005-August/001086.html

Steve




Bug reopened, originator not changed. Request was from Steve Halasz <debian@adkgis.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Steve Halasz <debian@adkgis.org>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to pkg-grass-devel@lists.alioth.debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 293346-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 293346-done@bugs.debian.org
Subject: WNPP bug closing
Date: Tue, 08 May 2007 12:00:10 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 293346
 stop

Further comments on the work done in the bug sent to
293346@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 05:45:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:30:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.